// Code generated by mockery 2.9.4. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	id "maunium.net/go/mautrix/id"
)

// MatrixBot is an autogenerated mock type for the MatrixBot type
type MatrixBot struct {
	mock.Mock
}

// SendMessage provides a mock function with given fields: roomID, message
func (_m *MatrixBot) SendMessage(roomID id.RoomID, message string) error {
	ret := _m.Called(roomID, message)

	var r0 error
	if rf, ok := ret.Get(0).(func(id.RoomID, string) error); ok {
		r0 = rf(roomID, message)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SendWebhook provides a mock function with given fields: avatar, name, format, text, url
func (_m *MatrixBot) SendWebhook(avatar string, name string, format string, text string, url string) error {
	ret := _m.Called(avatar, name, format, text, url)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, string, string, string) error); ok {
		r0 = rf(avatar, name, format, text, url)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Start provides a mock function with given fields: displayName
func (_m *MatrixBot) Start(displayName string) {
	_m.Called(displayName)
}

// Stop provides a mock function with given fields:
func (_m *MatrixBot) Stop() {
	_m.Called()
}
